import Item;
class Nodo{   // Nodo de una estructura enlazada simple 
	protected Item item; //  Nodo tiene un Item y
	protected Nodo prox;  //  una referencia al prximo Nodo...

	public Nodo(){		// Constructor default
		this(0, 0, null);
	}	

	public Nodo(int cod, float val, Nodo sig) {// Constructor parametrico
		item = new Item();
		item.setCodigo(cod);
		item.setValor(val);
		prox = sig;
	}

	public Item getItem(){return item;} // Retornamos el objeto item almacenado en Nodo

	public void setItem(Item it){item = it;};	// Inicializamos idem

	public Nodo getProx(){return prox;} // Retornamos puntero al proximo nodo

	public void setProx(Nodo ptr){prox = ptr;}// Inicilizamos puntero prox

	public String toString(){	//	 Exhibimos el contenido de Nodo
		String aux = ""+item.toString()+"\n";   // Usamos toString() de Item
		return aux;
	}
}
