import Nodo;
class NodosEnl{    //	Nodos enlazados mediante referencias
	protected Nodo frente, fondo;  //  Referencia de entrada
	protected boolean trace; // Trazamos ?
	public NodosEnl(){
		frente = null; trace = false;}   //	Un constructor sin argumentos;

	public boolean vacia(){return frente == null;} // No hay nodos 

	public String toString(){
		String aux = "NodosEnl contiene \n"; 
		for(Nodo ptr = frente; ptr!=null; ptr=ptr.getProx())
			aux+= ptr.toString();
		return aux;	
	}

	public void setTrace(boolean trazar){trace = trazar;}
		
	public void inclFirst(int cod, float val){
		frente = new Nodo(cod,val,frente);
		if(frente.getProx() == null)	// Primer nodo
			fondo = frente;
		if(trace)
			System.out.print("incluido "+frente);
	}

	public Nodo exclFirst(){
		if(vacia()) return null; // Retornamos referencia nula
		Nodo ptr = frente;	// Guardamos en aux la referencia del primer nodo
		frente = frente.getProx(); // Redirecionamos frente, saltando el primer nodo
		if(frente == null) 	//	No hay ya nodos ...
			fondo = null;
		if (trace)
			System.out.print("excluido "+ptr);
		return ptr;			//	Retornamos referencia nodo liberado
	}
	
	public void demo(){
		System.out.println("Demo class NodosEnl");
		setTrace(true);
		inclFirst(10,20);
		inclFirst(15,15);
		inclFirst(20,15);
		exclFirst();
		System.out.print(this); 
		System.out.println("Demo NodosEnl finished !!!");
	}
	public static void main(String args[]){
		NodosEnl obj = new NodosEnl();
		obj.demo();
	}		
}



