class Tramos{
	private int cuantas;        //	Cuantos nodos (Ciudades) tenemos
	private int[][] kms;

	public Tramos(){ 	// tomamos las distancias de una mtriz de ctes
		//  Origenes    	  0  1  2  3  4  5  6  7  8  9 10     Destinos
		int matt[][] = {{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},   // 0
							{ 0, 0, 5,11, 0,10, 0,10,20, 0, 0},   // 1 Villa Nueva
							{ 0, 0, 0, 0, 0, 0,18, 0, 0, 5, 5},   // 2 Villa Maria
							{ 0,10, 0, 0, 0, 0, 0, 0, 0, 0, 0},   // 3 Sanabria
							{ 0, 0, 0,10, 0, 0, 0, 0, 0, 0, 0},   // 4 Ausonia
							{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},   // 5 Arroyo Cabral
							{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},   // 6 Tio Pujio
							{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},   // 7 Ramon J. Carc
							{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},   // 8 Ballesteros
							{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},   // 9 Ana Zumaran
							{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}};  //10 Las Mojarras
		cuantas=matt.length;
		kms = new int[cuantas][cuantas]; 
		for(int dest,orig=0;orig<cuantas;orig++)
			for (dest=0;dest<cuantas;dest++)
				kms[orig][dest]=matt[orig][dest];
	}
	
	public boolean adyacent(int orig, int dest){
		boolean auxAdy = false;
		if (kms [orig][dest] > 0)auxAdy = true;
		return auxAdy;
	}

	public void unir(int orig, int dest, int dist){
		kms[orig][dest] = dist;
	}

	public void separar(int orig, int dest){
		kms[orig][dest] = 0;
	}

	public String toString(){
		String aux = "Origen  Destino (Distancia en kms)\n";
		aux+="     ";
		for(int i=1;i<cuantas;i++){
			if(i<10)aux+="    ";
			else    aux+="   ";
			aux+=i;
		}
		aux+="\n";
		for(int dest,orig=1;orig<cuantas;orig++){
			if(orig<10)aux+="    "+orig;
			else       aux+="   " +orig;
			for (dest=1;dest<cuantas;dest++){
				if(kms[orig][dest]<10)aux+="    ";
				else                  aux+="   ";
				aux+=kms[orig][dest];
			}
			aux+="\n";
		}
		aux+="\n";
		return aux;
	}
	
	public static void main(String args[]){
							
		Tramos tramos = new Tramos();
		System.out.println(tramos);
	}
}

